
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android开发入门（十八）文件 18.2保存到外部存储设备（SD卡） / iVAN</title>

    <meta name="description" content="Android开发入门（十八）文件 18.2保存到外部存储设备（SD卡） 上一节介绍了如何把文件存储到内部设备.有的时候,需要把文件存储到外部存储设备,比如SD卡.因为 SD卡具有更大的存储空间,同时也可以很容易的和其他用户分享这些文件. 使用上一节的例子,把用 户输入的文字保存在SD卡,修改onClick()事件.如下: public class FilesActivity extends Activity { EditText textBox; static final int READ_BLOCK_SIZE = 100; /** Called when the">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android开发入门（十八）文件 18.2保存到外部存储设备（SD卡）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>上一节介绍了如何把文件存储到内部设备。有的时候，需要把文件存储到外部存储设备，比如SD卡。因为 SD卡具有更大的存储空间，同时也可以很容易的和其他用户分享这些文件。</p>
<p>使用上一节的例子，把用 户输入的文字保存在SD卡，修改onClick()事件。如下：</p>
<pre>
public class FilesActivity extends 

Activity {
    EditText textBox;
    static final int READ_BLOCK_SIZE = 100;  

    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);  

        textBox = (EditText) findViewById(R.id.txtText1);  

        InputStream is = this.getResources().openRawResource(R.raw.textfile);
        BufferedReader br = new BufferedReader(new InputStreamReader(is));
        String str = null;
        try {
            while ((str = br.readLine()) != null) {
                Toast.makeText(getBaseContext(),
                    str, Toast.LENGTH_SHORT).show();
            }
            is.close();
            br.close();
        } catch (IOException e) {
            e.printStackTrace();
        }  

    }  

    public void onClickSave(View view) {
        String str = textBox.getText().toString();
        try
        {
            //---SD Card Storage---
            File sdCard = Environment.getExternalStorageDirectory();
            File directory = new File (sdCard.getAbsolutePath() +
                "/MyFiles");
            directory.mkdirs();
            File file = new File(directory, "textfile.txt");
            FileOutputStream fOut = new FileOutputStream(file);  

            /*
            FileOutputStream fOut =
                    openFileOutput("textfile.txt",
                            MODE_WORLD_READABLE);
            */

            OutputStreamWriter osw = new
                    OutputStreamWriter(fOut);  

            //---write the string to the file---
            osw.write(str);
            osw.flush();
            osw.close();  

            //---display file saved message---
            Toast.makeText(getBaseContext(),
                    "File saved successfully!",
                    Toast.LENGTH_SHORT).show();  

            //---clears the EditText---
            textBox.setText("");
        }
        catch (IOException ioe)
        {
            ioe.printStackTrace();
        }
    }  

}</pre>
<p>上面的代码中，使用getExternalStorageDirectory()方法去获取SD卡的路径。通常，在真机上面 返回“/sdcard”，在模拟器上面返回"/mnt/sdcard"。但是，不要尝试去写死SD卡的路径，因为 手机厂商有可能去给SD卡指定一个路径。因此，确保使用getExternalStorageDirectory()方法去获取SD卡的 路径。</p>
<p>然后，创建一个MyFiles的文件夹。最终，把文件保存在这个文件夹中。</p>
<p>从外部设备 中加载文件，修改onClickLoad()方法：</p>
<pre>
public void onClickLoad(View view) {
        try
        {
            //---SD Storage---
            File sdCard = Environment.getExternalStorageDirectory();
            File directory = new File (sdCard.getAbsolutePath() +
                "/MyFiles");
            File file = new File(directory, "textfile.txt");
            FileInputStream fIn = new FileInputStream(file);
            InputStreamReader isr = new InputStreamReader(fIn);  

            /*
            FileInputStream fIn =
                    openFileInput("textfile.txt");
            InputStreamReader isr = new
                    InputStreamReader(fIn);
            */

            char[] inputBuffer = new char[READ_BLOCK_SIZE];
            String s = "";  

            int charRead;
            while ((charRead = isr.read(inputBuffer))&gt;0)
            {
                //---convert the chars to a String---
                String readString =
                        String.copyValueOf(inputBuffer, 0,
                                charRead);
                s += readString;  

                inputBuffer = new char[READ_BLOCK_SIZE];
            }
            //---set the EditText to the text that has been
            // read---
            textBox.setText(s);  

            Toast.makeText(getBaseContext(),
                    "File loaded successfully!",
                    Toast.LENGTH_SHORT).show();
        }
        catch (IOException ioe) {
            ioe.printStackTrace();
        }  

    }</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索edittext<br />
                    ，                string<br />
                    ，                文件<br />
                    ，                file<br />
                    ，                new<br />
                    ，                openfileoutput<br />
                    ，                android真机调...<br />
                    ，                sd卡路径<br />
                    ，                directory<br />
                    ，                textfile<br />
                    ，                保存SD<br />
                    ，                sdcard路径<br />
                    ，                android外部数据库<br />
                                    Android存储路径<br />
                                    要写数据到外部sd卡、android 外部sd卡路径、外部sd卡受损、外部sd卡、微信存储路径设置sd卡，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 10:33:33</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/file/" title="file">file</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/new/" title="new">new</a>, <a href="https://www.iamivan.net/tag/android%e7%9c%9f%e6%9c%ba%e8%b0%83/" title="android真机调&period;&period;&period;">android真机调&period;&period;&period;</a>, <a href="https://www.iamivan.net/tag/directory/" title="directory">directory</a>, <a href="https://www.iamivan.net/tag/edittext/" title="edittext">edittext</a>, <a href="https://www.iamivan.net/tag/textfile/" title="textfile">textfile</a>, <a href="https://www.iamivan.net/tag/openfileoutput/" title="openfileoutput">openfileoutput</a>, <a href="https://www.iamivan.net/tag/android%e5%ad%98%e5%82%a8%e8%b7%af%e5%be%84/" title="Android存储路径">Android存储路径</a>, <a href="https://www.iamivan.net/tag/sd%e5%8d%a1%e8%b7%af%e5%be%84/" title="sd卡路径">sd卡路径</a>, <a href="https://www.iamivan.net/tag/sdcard%e8%b7%af%e5%be%84/" title="sdcard路径">sdcard路径</a>, <a href="https://www.iamivan.net/tag/%e4%bf%9d%e5%ad%98sd/" title="保存SD">保存SD</a>, <a href="https://www.iamivan.net/tag/android%e5%a4%96%e9%83%a8%e6%95%b0%e6%8d%ae%e5%ba%93/" title="android外部数据库">android外部数据库</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android开发入门（十八）文件 18.2保存到外部存储设备（SD卡）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bal4DXz.html" rel="bookmark">Android开发入门（十八）文件 18&period;1 保存到内部存储设备</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SharedPreferences对象能够让你去保存一些&quot;键值对&quot;类型的数据,比如用户id,生日,性别,身份证 号等等.但是,有的时候你需要去使用传统的文件系统去保存数据.例如你可能想要去保存一篇文章,而这 篇文章要被展示在你的应用中.在Android系统中,你也可以使用java.io包去实现这个功能. 在 Android系统中,第一种保存文件的方法是存储到内部设备.下面展示如何保存用书输入的字符串到内部存储 设备. 1. 创建一个工程,Files. 2. main.xml中的代码.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myr2Akp.html" rel="bookmark">Windows 8风格应用开发入门 十八 基础控件I</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ProgressRing: ProgressRing控件常见的效果图: 开发入门 十八 基础控件I-书法入门十八法&quot;&gt; 如何在XAML代码中声明ProgressRing控件呢?代码如下: ProgressRing控件包含IsActive属性,该属性控制ProgressRing控件是否激活可用.默认情况下IsActive属性值为Ture,我们也可以将其值设置为False. 另外我们也可以在C#代码中声明ProgressRing控件,添加到布局控件中.代码可以如下: 关于ProgressRin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgK0A5M.html" rel="bookmark">Android开发入门（八）使用活动栏 8&period;3 自定义ActionBar</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一节中,菜单选项是没有文字的.如果想要同时显示图标和文字,可以一起使用&quot;|&quot;和 MenuItem.SHOW_AS_ACTION_WITH_TEXT常量. MenuItem mnu1 = menu.add(0, 0, 0, &quot;Item 1&quot;); { mnu1.setIcon(R.drawable.ic_launcher); mnu1.setShowAsAction( MenuItem.SHOW_AS_ACTION_IF_ROOM | MenuItem.SHOW_A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxwdjb.html" rel="bookmark">Android开发入门（八）使用活动栏 8&period;1 操纵ActionBar</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				除了fragments(碎片),在Android3和4中新增加的特性,还有ActionBar(活动栏).ActionBar位于传 统标题栏的位置,就在设备屏幕的顶部.ActionBar显示了应用的图标和Activity的标题.可选择地, ActionBar的右侧是那些action items(活动项目).下图展示了build-in(内置的)Email应用,显示了应 用的图标,Activity(活动)的标题,以及一些活动项目.下一节将详细地讨论action items(活动项目) . 开发入门(八			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKEDap.html" rel="bookmark">Android开发入门（八）使用活动栏 8&period;2 添加ActionBar物件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				除了在ActionBar的左侧显示应用图标和Activity的标题,也可以在ActionBar上面显示额外的项目.这些 被添加的项目被叫做&quot;action items&quot;.这些项目就是一些在你应用中一些功能的快捷方式.举个例子,你 正在开发一块RSS阅读器,那么action items就可能是&quot;刷新&quot;.&quot;删除&quot;和&quot;添加&quot;. 下面的例子 演示如何在ActionBar中添加项目. 1. 使用上一节的项目,在MyActionBarAct			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1R3Ydp.html" rel="bookmark">Kinect for Windows SDK开发入门&lpar;十八&rpar;Kinect Interaction交互控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今年三月份发布了1.7版本的SDK,这一版本的SDK较前一版本最大的变化是添加了Kinect Interactions 和 Kinect Fusion.Kinect Interactions 提供了一些新的带有姿势识别的控件如 push-to-press 按钮, grip-to-pan 列表控件, 而且支持多用户,同时二个人进行的交互,这些新添加的控件能够非常方便的集成到应用程序中,极大的简化了开发和调试过程. 1.7 SDK中新增的第二个功能是去年在Build 2012大会上提到的Kinect			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myrmokp.html" rel="bookmark">Android开发入门系列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android开发入门(二十)内容提供者 20.3 经过预定义的查询字符 Android开发入门(二十)内容提供者 20.2 ContentProvider的使用 Android开发入门(二十)内容提供者 20.1 数据共享 Android开发入门(十九)数据库 19.3 预创建数据库 Android开发入门(十九)数据库 19.2 使用数据库 Android开发入门(十九)数据库 19.1创建数据库辅助类 Android开发入门(十八)文件 18.4使用静态资源 Android开发入门(十八)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQr1rwM.html" rel="bookmark">【ANDROID游戏开发十三】（保存游戏数据 &lbrack;下文&rsqb;）详解SQLITE存储方式&comma;并把SQLITE的数据库文件存储在SD卡中！！！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本站文章均为 李华明Himi 原创,转载务必在明显处注明:  转载自[黑米GameDev街区] 原文链接: http://www.himigame.com/android-game/329.html ----------------------- 『很多童鞋说我的代码运行后,点击home或者back后会程序异常,如果你也这样遇到过,那么你肯定没有仔细读完Himi的博文,第十九篇Himi专门写了关于这些错误的原因和解决方法,这里我在博客都补充说明下,省的童鞋们总疑惑这一块:请点击下面联系进入阅读:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOw20vz.html" rel="bookmark">Android开发入门（十八）文件 18&period;4使用静态资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				除了可以在运行时去创建并使用文件,也可以在设计阶段把文件放在程序包中,这样一来就可以在运行时 去使用他们.举个例子,你想把一些帮助文件打包进程序,当用户需要的时候,就可以展示给他们看.在这 种情况下,应该把文件放在res/raw文件夹下面. 开发入门(十八)文件 18.4使用静态资源-伪静态规则 入门&quot;&gt; 想要在代码中使用这个文件,需要调用Activity的getResources()方法,返回一个Resources对象.然后 ,使用它的openRawResource()方法去打开res/			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk5rEb.html" rel="bookmark" class="title">第14章 XSL变换</a>
					<div>
						XML教程&lt;?xml:namespace prefix = o ns = &quot;urn:schemas-microsoft-com:office:office&quot; /&gt;  可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7Xxqb.html" rel="bookmark" class="title">网络程序设计中的模块化思维</a>
					<div>
						程序|设计|网络 首先,以实际例子说明模块化对于程序编写的重要性.例子就是我们现在采用的动网论坛 1 论坛的配色是一个论坛保持活力的基础,一个好的配色意味着一个论坛成功了一半.但我认为动网论坛的配色是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnJvjp.html" rel="bookmark" class="title">6种让SEO排名事半功倍的外部推广策略</a>
					<div>
						网站优化分为内部优化和外部优化两部分,无论哪一部分,只要把优化做到极致,都会取得非常可观的效果,在这里alex总结5年来的优化经验,为大家介绍一下快速提高网站排名的6条外部优化策略.外部优化的重点便是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKKR4p.html" rel="bookmark" class="title">WPF and Silverlight学习笔记（十七）：WPF资源（Resource）（2）</a>
					<div>
						四.静态资源(StaticResource)和动态资源(DynamicResource) 资源可以作为静态资源或动态资源进行引用.这是通过使用 StaticResource 标 记扩展或 Dynami ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNB1lb.html" rel="bookmark" class="title">Win8无法升级&period;NET Framework 3&period;5&period;1的解决办法</a>
					<div>
						很多人安装Win8后都遇到了无法升级.NET Framework 3.5.1的问题,在线升级 会遇到错误0x800F0906.这使得91手机助手等很多软件无法运行,更郁闷的是, 网上几乎所有的解决办法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnmVkz.html" rel="bookmark" class="title">RHEL 5的网络基本配置详解</a>
					<div>
						我们开启计算机时,就要让主机接入网络,因此,就要对接入的网络进行各种配置,以实现我们在局域网内的通信甚至于实现不同网络间的通信. 在网络中,一般配置一下几个方面: IP地址:NETMASK子网掩码:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7XNwb.html" rel="bookmark" class="title">C&num;发现之旅第九讲 ASP&period;NET验证码技术</a>
					<div>
						为了让大家更深入的了解和使用C#,我们将开始这一系列的主题为&quot;C#发现之旅 &quot;的技术讲座.考虑到各位大多是进行WEB数据库开发的,而所谓发现就是发现我们所 不熟悉的领域,因此本系列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AK4Ap.html" rel="bookmark" class="title">Excel数字转换大写设置动画教程</a>
					<div>
						&lt;Excel2003入门动画教程4.Excel数字转换大写设置&gt;. 演示动画 操作步骤 如果想将Excel单元格中的阿拉伯数字数字转换为中文大写格式,同样可以通过&quot;单元格格式&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6xXjz.html" rel="bookmark" class="title">PS趣味合成萌宠狗狗戴墨镜实例教程</a>
					<div>
						夏季阳光刺眼,墨镜就成了很多时尚达人出门必带的配饰了.不过,你可曾想过给你的宠物也带上墨镜?那么我们就通过PS让狗狗也带上墨镜.下面来看看PS后狗狗们戴上墨镜后的萌样子吧! 1.首先准备好萌宠狗狗和墨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e5BXb.html" rel="bookmark" class="title">百度手机助手怎样为手机软件升级</a>
					<div>
						  1.首先,安装百度手机助手,安装好之后点百度手机助手app图标,进入应用. 2.进入应用之后,点右下角&quot;管理&quot;图标.进入管理界面之后,点右上方的&quot;应用升级&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwL40mb.html" rel="bookmark" class="title">电驴怎么连接服务器</a>
					<div>
						  步骤一:在电驴服务器界面右边的&quot;从URL更新server.met&quot;字样下边的小框里输入&quot;http://upd.emule-security.org/server.me ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1xB4b.html" rel="bookmark" class="title">win7右键菜单中的&OpenCurlyDoubleQuote;小工具&rdquo;选项删除掉</a>
					<div>
						  1.首先,咱们同时按下win7旗舰版电脑键盘上的win+R快捷键打开电脑的运行窗口,在打开的运行窗口中,咱们输入regedit并单击回车,这样就可以打开win7旗舰版电脑的注册表编辑器窗口了. 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7G9AM.html" rel="bookmark" class="title">c&num;之Redis实践list，hashtable</a>
					<div>
						写在前面 最近公司搞了一个活动,用到了redis的队列,就研究了下redis的相关内容.也顺手做了个demo. C#之使用Redis 可以通过Nuget安装Reidis的相关程序集.安装之后发现会引入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQgYRp.html" rel="bookmark" class="title">经典的GDB调试命令</a>
					<div>
						导语 在你调试程序时,当程序被停住时,你可以使用print命令(简写命令为p),或是同义命令inspect来查看当前程序的运行数据.print命令的格式是: print print / 是表达式,是你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW4ZLp.html" rel="bookmark" class="title">java中数组转集合问题&period;</a>
					<div>
						问题描述 java中数组转集合问题. List test = java.util.Arrays.asList(new int[]{3, 5, 3, 4}); 为什么这个会报错,也会报错. List t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQDR8p.html" rel="bookmark" class="title">SDN控制器之东西向扩展技术</a>
					<div>
						控制器负责整个SDN网络的集中化控制,对于把握全网置资源视图.改善网络资源交付都具有非常重要的作用.但控制能力的集中化,也意味着控制器局的安全性和性能成为全网的瓶颈,一旦控制器在性能或安全性上得不到保 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWnm4p.html" rel="bookmark" class="title">ftp服务器-公司内网电脑搭建FTP服务器，实现外网访问方法</a>
					<div>
						问题描述 公司内网电脑搭建FTP服务器,实现外网访问方法 公司内网电脑搭建FTP服务器,实现外网访问方法,最近自己在研究怎么回家能访问到公司FTP服务器文件的问题 解决方案 1.这需要公司的服务器电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW29xqb.html" rel="bookmark" class="title">这是为什么-获取数据库信息出错，为什么</a>
					<div>
						问题描述 获取数据库信息出错,为什么 用的access,获取表里的&quot;标题&quot;信息出来了.我想要点标题链接到下一页面,显示这个标题的全部信息,也就是详细页面,但是详细页面里不但连接数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ9aLp.html" rel="bookmark" class="title">浅析spring事务传播级别</a>
					<div>
						spring是一个开源的框架,Spring为简化企业级应用开发而生,使用Spring可以使简单的JavaBean实现以前只有EJB才能实现的功能.今天我们先避开spring核心IOC&amp;AOP, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkWNqb.html" rel="bookmark" class="title">Nodejs进阶：MD5入门介绍及crypto模块的应用</a>
					<div>
						本文摘录自&lt;Nodejs学习笔记&gt;,更多章节及更新,请访问 github主页地址.欢迎加群交流,群号 197339705. 简介 MD5(Message-Digest Algorithm) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW5JEz.html" rel="bookmark" class="title">利用Lucene打造站内搜索引擎的思路</a>
					<div>
						1.为什么要用Lucene,而不用直接从数据库里搜索记录? 主要是考虑到几个因素:(1)性能问题,Lucene是基于文件索引的搜索机制,性能要比数据库里检索更快,特别是数据量大的时候两者区别比较明显. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRJ8Eb.html" rel="bookmark" class="title">多线程基础 （八）NSOperation相关</a>
					<div>
						  1.NSOperation简介   NSOperation的作用 配合使用NSOperation和NSOperationQueue也能实现多线程编程   NSOperation和NSOperati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R7enz.html" rel="bookmark" class="title">基于Docker的CI&sol;CD流水线实践</a>
					<div>
						本文讲的是基于Docker的CI/CD流水线实践[编者的话]随着DevOps理念不断的传播,大部分IT从业者对于DevOps本身也有了一定的了解和认识,然而企业内部想根据DevOps思想实践,这并不是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZDRAz.html" rel="bookmark" class="title">民众轮值瑞典官方Twitter帐户 忽然14000人被屏蔽</a>
					<div>
						瑞典拥有非常民主的官方Twitter帐户.瑞典公民可以轮流使用官方Twitter账户@sweden,而一位公民可以使用的周期为一周.瑞典研究所则负责管理该帐户.上个月,该账户被网络安全专家Vian T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Yln3z.html" rel="bookmark" class="title">c&num;从数据库读取图像的问题</a>
					<div>
						问题描述 以前完成保存图像到数据库中是以二进制数据保存的现在想实现读取主要代码在下面byte[]imagebytes=null;sql1=string.Format(&quot;select*from ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2g3oz.html" rel="bookmark" class="title">asp&period;net 6种控制验证方法</a>
					<div>
						  1.必填验证控件requiredfieldvalidator     语法规则: &lt;asp教程:requiredfieldvalidator                     id=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqE7Zp.html" rel="bookmark" class="title">jQuery中Nicescroll滚动条插件的用法&lowbar;jquery</a>
					<div>
						本篇文章主要介绍了jQuery中Nicescroll滚动条插件的用法,Nicescroll滚动条插件是一个非常强大的基于jQuery的滚动条插件,有需要的可以了解下. Nicescroll滚动条插件是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgELL8z.html" rel="bookmark" class="title">浅谈时钟的生成&lpar;js手写简洁代码&rpar;&lowbar;javascript技巧</a>
					<div>
						在生成时钟的过程中自己想到布置表盘的写法由这么几种: 当然利用那种模式都可以实现,所以我们要用一个最好理解,代码有相对简便的方法实现 1.利用三角函数 用js在三角函数布置表盘的过程中有遇见到这种情况 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY0PWb.html" rel="bookmark" class="title">房已买，年薪20w&plus;&comma;这段感觉不开心</a>
					<div>
						问题描述 小弟86年,湖南人,工作在上海,IT,前段在长沙买了套复式小户型,市中心,年薪20w+,但是这段老是感觉不太开心,其实平常还蛮外向的,朋友也多,不知咋原故,这段和别人话也不想多说~,希望财友 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL1e3M.html" rel="bookmark" class="title">正在升级中的社交广告</a>
					<div>
						现在,越来越多的http://www.aliyun.com/zixun/aggregation/7714.html&quot;&gt;在线广告印象率和点击性降低,而参与性.交互性和共享性增强.所有的广 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
